# Fetching a single Expense Budgets

Gets a single expense budget.

This endpoint returns structured Expense Budgets objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the expense_budgets top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /expense_budgets/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- expenses (Expense) - The expenses associated with the expense budget.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- fixed_fee_items (FixedFeeItem) - The fixed fee items associated with the expense budget.
- story (Story) - Retrieves the associated story (task). The response will include story_id, which references the data in the stories top-level key.
- workspace (Workspace) - Retrieves the workspace (project) the expense budget is on. The response will include workspace_id, which references the data in the workspaces top-level key.

  - `optional_fields` (array)
    Allows you to request one or more optional fields as an array.
    Enum: "quantity", "markup_type", "markup_per_unit_in_subunits", "markup_percentage"

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `expense_budgets` (object)

  - `external_references` (object)

  - `workspaces` (object)

  - `stories` (object)

  - `expenses` (object)

  - `fixed_fee_items` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


